<bugID>1240913<Summary>Preserve page state when toggling RDM</Summary><Description>The basic shell in bug 1239437 does not preserve page state when toggling RDM on and off, where page state means:

* Current scroll position
* Current state in a single page app (any state lost by reloading from the current URL)

This makes RDM much less convenient to use, especially with complex single page apps.</Description></bugID>